--- postgresql-8.0.0rc4/doc/src/sgml/ref/create_opclass.sgml	2003-11-29 11:51:38.000000000 -0800
+++ postgresql-8.0.0rc4.new/doc/src/sgml/ref/create_opclass.sgml	2005-01-12 18:06:44.000000000 -0800
@@ -128,6 +128,10 @@
      <para>
       The name (optionally schema-qualified) of an operator associated
       with the operator class.
+
+      Note: this operator should NOT be defined by a SQL function. 
+      If the operator is defined with a SQL function, the SQL function
+      could be inlined, preventing the use of an index.
      </para>
     </listitem>
    </varlistentry>
@@ -172,6 +176,10 @@
      <para>
       The name (optionally schema-qualified) of a function that is an
       index method support procedure for the operator class.
+
+      Note: this function should NOT be written in SQL. 
+      If the function is written in SQL, it could be inlined, 
+      preventing the use of an index.
      </para>
     </listitem>
    </varlistentry>
